%global pypi_name manila-ui
%global mod_name manila_ui

# tests are disabled by default
%bcond_with tests

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           openstack-%{pypi_name}
Version:        2.5.1
Release:        9%{?dist}
Summary:        Manila Management Dashboard

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

#
#patches_base=fb806c85238a2d8800dec038c989037fbbb2c148+1
#
Patch0001: 0001-Update-UPPER_CONSTRAINTS_FILE-for-stable-newton.patch
Patch0002: 0002-Imported-Translations-from-Zanata.patch
Patch0003: 0003-Fix-migration-start-id-dependent-form.patch
Patch0004: 0004-Imported-Translations-from-Zanata.patch
Patch0005: 0005-Imported-Translations-from-Zanata.patch
Patch0006: 0006-Disable-creation-of-public-shares-per-configuration.patch
Patch0007: 0007-Use-proper-horizon-version-for-unit-tests.patch
Patch0008: 0008-Imported-Translations-from-Zanata.patch
Patch0009: 0009-Add-access-key-column-to-rules-table.patch
Patch0010: 0010-Fix-manila-quota-operations.patch
Patch0011: 0011-Imported-Translations-from-Zanata.patch

BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-sphinx

%if 0%{with tests}
# test requirements
BuildRequires:  openstack-dashboard
BuildRequires:  python-hacking
BuildRequires:  python-django-horizon
BuildRequires:  python-django-nose
BuildRequires:  python-django-openstack-auth
BuildRequires:  python-manilaclient
BuildRequires:  python-mock
BuildRequires:  python-mox
BuildRequires:  python-subunit
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
%endif

Requires: python-babel
Requires: python-django
Requires: python-django-compressor
Requires: python-django-horizon
Requires: python-django-openstack-auth
Requires: python-iso8601
Requires: python-keystoneclient
Requires: python-manilaclient
Requires: python-neutronclient
Requires: python-novaclient
Requires: python-pbr

%description
Manila Management Dashboard


%prep
%setup -q -n %{pypi_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

rm test-requirements.txt

%build
%{__python2} setup.py build

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

for lib in %{mod_name}/dashboards/project/*.py; do
  sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
  touch -r $lib $lib.new &&
  mv $lib.new $lib
done


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# Move config to horizon
mkdir -p  %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled
mkdir -p  %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled
mv manila_ui/enabled/_90_manila_admin_shares.py %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled/_90_manila_admin_shares.py
mv manila_ui/enabled/_90_manila_project_shares.py %{buildroot}%{_sysconfdir}/openstack-dashboard/enabled/_90_manila_project_shares.py
ln -s %{_sysconfdir}/openstack-dashboard/enabled/_90_manila_admin_shares.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_90_manila_admin_shares.py
ln -s %{_sysconfdir}/openstack-dashboard/enabled/_90_manila_project_shares.py %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_90_manila_project_shares.py


%check
%if 0%{with tests}
PYTHONPATH=/usr/share/openstack-dashboard/ ./run_tests.sh -N -P
%endif


%files
%doc html README.rst doc/source/readme.rst
%license LICENSE
%{python2_sitelib}/%{mod_name}
%{python2_sitelib}/manila_ui-*-py?.?.egg-info
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_90_manila_admin_shares.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_90_manila_project_shares.py*
%{_sysconfdir}/openstack-dashboard/enabled/_90_manila_admin_shares.py*
%{_sysconfdir}/openstack-dashboard/enabled/_90_manila_project_shares.py*


%changelog
* Fri Aug 04 2017 Steve Linabery <slinaber@redhat.com> 2.5.1-9
- Fix manila quota operations

* Sat May 20 2017 Jason Joyce <jjoyce@redhat.com> 2.5.1-8
- Move sphinx-build to %build section (rhbz#1452637)

* Fri May 19 2017 Jason Joyce <jjoyce@redhat.com> 2.5.1-7
- Add access key column to rules table

* Mon Mar 13 2017 Jon Schlueter <jschluet@redhat.com> 2.5.1-6
- rebase upstream/stable/newton (rhbz#1431836)
- Imported Translations from Zanata
- Use proper horizon version for unit tests
- Disable creation of public shares per configuration

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 2.5.1-5
- Imported Translations from Zanata

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 2.5.1-4
- Imported Translations from Zanata

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 2.5.1-3
- Fix migration-start id-dependent form

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 2.5.1-2
- Imported Translations from Zanata
- Update UPPER_CONSTRAINTS_FILE for stable/newton

* Tue Oct 04 2016 Alfredo Moralejo <amoralej@redhat.com> 2.5.1-1
- Update to 2.5.1

* Thu Sep 15 2016 Haikel Guemar <hguemar@fedoraproject.org> 2.5.0-1
- Update to 2.5.0


